The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Policy Assignments Device

Prev Next

This URL retrieves all policies assigned for the device in the given domain.

Resource URL

GET domain/<domain_id>/policyassignments/device/<device_id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number yes
device_id Device id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
deviceName Device name String
deviceId Device id Number
firewallPolicyLast Post firewall policy String
firewallPolicyFirst Pre-firewall policy String
reconnaissancePolicy Reconnaissance policy String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/policyassignemnts/interface/1001

Response

policyAssignmentsList
{
   [
       {
               "deviceName": "API_2950_2",
               "deviceId": 1001,
               "firewallPolicyLast": "NSAT_Adv_Rules_for_Interface",
               "firewallPolicyFirst": "NSAT_Adv_Rules_for_Interface

        }      
   ]
   } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 4301 Invalid domain id
2 400 1106 Invalid Sensor id